Create a skip reason
POST
/api/subscriptions/skip-reasons
const url = 'https://api.usegro.co/api/subscriptions/skip-reasons';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"label":"example","description":"example","is_active":true,"position":1,"playbook_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.usegro.co/api/subscriptions/skip-reasons \ --header 'Content-Type: application/json' \ --data '{ "label": "example", "description": "example", "is_active": true, "position": 1, "playbook_id": "example" }'Creates a new skip reason for the current account. When at least one skip reason is active, customers must pick one when skipping.
Request Body
Section titled “Request Body”Media typeapplication/json
object
label
required
string
description
string
is_active
boolean
position
number
playbook_id
string
Example generated
{ "label": "example", "description": "example", "is_active": true, "position": 1, "playbook_id": "example"}Responses
Section titled “Responses”Created skip reason
Media typeapplication/json
object
data
required
object
id
required
string
created_at
string
updated_at
string
is_active
required
boolean
account_id
required
string
label
required
string
description
string
position
required
number
playbook_id
string
playbook
object
id
string
name
string
status
string
Example
{ "data": { "playbook": { "status": "draft" } }}